//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

#if !WASM
namespace CommonHelpers {
#else
namespace CommonHelpers.WASM {
#endif

//**************************************************************************************************
/// <summary>
/// </summary>
public partial class HAppFailureException: HAppExitException {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public HAppFailureException()
   {}

//--------------------------------------------------------------------------------------------------

public HAppFailureException(string message)
   :base ( message ) {}

public HAppFailureException(string message,Exception innerException)
   :base ( message, innerException ) {}

public HAppFailureException(string message,int exitCode)
   :base ( message, exitCode ) {}

public HAppFailureException(string message,Exception innerException,int exitCode)
   :base ( message, innerException, exitCode ) {}

//--------------------------------------------------------------------------------------------------

public HAppFailureException(int exitCode)
   :base ( exitCode ) {}

public HAppFailureException(Exception innerException)
   :base ( innerException ) {}

public HAppFailureException(Exception innerException,int exitCode)
   :base ( innerException, exitCode ) {}

//==================================================================================================

public HAppFailureException(object associatedData)
   :base ( associatedData ) {}

//--------------------------------------------------------------------------------------------------

public HAppFailureException(string message,object associatedData)
   :base ( message, associatedData ) {}

public HAppFailureException(string message,Exception innerException,object associatedData)
   :base ( message, innerException, associatedData ) {}

public HAppFailureException(string message,int exitCode,object associatedData)
   :base ( message, exitCode, associatedData ) {}

public HAppFailureException( string message, Exception innerException,
                              int? exitCode, object associatedData )
   :base ( message, innerException, exitCode, associatedData ) {}

//--------------------------------------------------------------------------------------------------

public HAppFailureException(int exitCode,object associatedData)
   :base ( exitCode, associatedData ) {}

public HAppFailureException(Exception innerException,object associatedData)
   :base ( innerException, associatedData ) {}

public HAppFailureException(Exception innerException,int exitCode,object associatedData)
   :base ( innerException, exitCode, associatedData ) {}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HAppFailureException
//**************************************************************************************************

} // CommonHelpers (.WASM)
